// Global OFP Aspect Ratio settings
// Created by Faguss (ofp-faguss.com) 08.09.16

// Modify this macro according to your screen aspect ratio
#define aspect_ratio_4_3

/* Accepted values:
	#define aspect_ratio_16_10
	#define aspect_ratio_16_9
	#define aspect_ratio_15_9
	#define aspect_ratio_21_9
	#define aspect_ratio_5_4

Launch the game and see if it works.
*/


/* ---------- CUSTOM OPTIONS --------------------------------------------------- */

// Remove this macro if you want to get rid of "Mods" in the main menu
#define AR_MODS_SHOW

// Add this macro to keep original HUD position
// #define AR_CENTERHUD

// Add this macro to make the island map fit the screen
// #define AR_EXTENDMAP

// Add this macro if you're using three monitors (all with the same resolution)
// #define AR_TRIPLEHEAD
	
	// Additional maps in Mission Editor for triplehead
	// #define AR_TRIPLEHEAD_EXTRAEDITORMAP
	
	// Extend island map across screens
	// #define AR_TRIPLEHEAD_EXTENDMAP

/* ---------- END OF OPTIONS --------------------------------------------------- */






// Default values
#define AR_modifX 0			// basic X/Y pos change
#define AR_modifY 0
#define AR_modifX_map 0		// briefing map X/Y pos change
#define AR_modifY_map 0
#define AR_modifX_2NDMON 0		// X pos change for a side monitor
#define AR_modifX_2NDMON_map 0	// briefing map X pos change

#define AR_modifLine1 0		// main menu vert line change
#define AR_notebookY 0		// 3D notebook vert pos change
#define AR_headY 0.003		// 3D head in profile edit vert pos change
#define AR_PlayerListX 0	// MP player list X/Y pos change
#define AR_PlayerListY 0






// Insert custom formats here:


#ifdef aspect_ratio_16_10
	#define AR_modifX 0.1
	#define AR_PlayerListX 0.05
#endif

#ifdef aspect_ratio_16_9
	#define AR_modifX 0.166667
	#define AR_PlayerListX 0.05
#endif

#ifdef aspect_ratio_15_9
	#define AR_modifX 0.125
	#define AR_PlayerListX 0.05
#endif

#ifdef aspect_ratio_5_4
	#define AR_modifY 0.033333
	#define AR_modifLine1 0.068
	#define AR_notebookY 0.008
	#define AR_headY 0.008
	#define AR_PlayerListY 0.05
#endif

#ifdef aspect_ratio_21_9
	#define AR_modifX 0.388889
	#define AR_PlayerListX 0.05
#endif



#ifdef AR_TRIPLEHEAD
	#define AR_modifX_2NDMON (1+AR_modifX*2)
#else
	#undef AR_TRIPLEHEAD_EXTRAEDITORMAP
	#undef AR_TRIPLEHEAD_EXTENDMAP
#endif

#ifdef AR_TRIPLEHEAD_EXTENDMAP
	#define AR_modifX_2NDMON_map AR_modifX_2NDMON
	#define AR_EXTENDMAP
#endif

#ifdef AR_EXTENDMAP
	#define AR_modifX_map AR_modifX
	#define AR_modifY_map AR_modifY
#endif


